Type::Tiny::Union(3)

NAME
Type::Tiny::Union - union type constraints

STATUS
This module is covered by the Type-Tiny stability policy.

DESCRIPTION
Union type constraints.

This package inherits from Type::Tiny; see that for most documentation. Major differences are listed below:

  Attributes

"type_constraints"
    Arrayref of type constraints.

    When passed to the constructor, if any of the type constraints in the union is itself a union type constraint, this is "exploded" into the new union.

"constraint"
    Unlike Type::Tiny, you cannot pass a constraint coderef to the constructor. Instead rely on the default.

"inlined"
    Unlike Type::Tiny, you cannot pass an inlining coderef to the constructor. Instead rely on the default.

"parent"
    Unlike Type::Tiny, you cannot pass an inlining coderef to the constructor. A parent will instead be automatically calculated.

"coercion"
    You probably do not pass this to the constructor. (It's not currently disallowed, as there may be a use for it that I haven't thought of.)

    The auto-generated default will be a Type::Coercion::Union object.

  Methods

"find_type_for($value)"
    Returns the first individual type constraint in the union which $value passes.

  Overloading

•   Arrayrefification calls "type_constraints".

BUGS
Please report any bugs to <http://rt.cpan.org/Dist/Display.html?Queue=Type-Tiny>.

SEE ALSO
Type::Tiny::Manual.

Type::Tiny.

AUTHOR
Toby Inkster <tobyink@cpan.org>.

COPYRIGHT AND LICENCE
This software is copyright (c) 2013-2014, 2017-2018 by Toby Inkster.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

DISCLAIMER OF WARRANTIES
THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.